#ifndef LX_FONT_H

#define LX_FONT_H
	#include <stdio.h>
	#include "freertos/FreeRTOS.h"
	#include "freertos/task.h"
	#include <stdlib.h>

	#define TOMTHUMB_USE_EXTENDED 0

	//Struct mit Info ber ein Zeichen innerhalb der Bitmap
	typedef struct {				
		uint32_t bitmapOffset;      // PointerOffset in Bytes innerhalb der Bitmap
		uint8_t  width, height;     // Abmessung des Bereichs der im LCD manipuliert wird
		uint8_t  xAdvance;          // Distance to advance cursor (x axis)
		int8_t   xOffset, yOffset;  // Abstand vom Ursprung zum ersten Pixel das links oben gesetzt wird
	}GFXglyph;


	//INFO Struct ber den kompletten Font
	typedef struct {			
		uint8_t  *bitmap;       // Pointer auf die 6x8 Font Bitmap
		GFXglyph *glyph;        // Pointer auf Glyph Array
		uint8_t   first, last;  // ASCII Codes des ersten Zeichens und des letzten Zeichens der Font-Tabelle
		uint8_t   yAdvance;     // y Abstand fr eine neue Zeile (also Zeilenhhe)
	} GFXfont;


	extern const uint8_t TomThumbBitmaps[];
	extern const GFXglyph TomThumbGlyphs[];
	extern const GFXfont TomThumb;
	extern const GFXfont FreeSans;
	extern const GFXglyph FreeSans_Glyphs[];
	extern const uint8_t FreeSans_Bitmaps[];


#endif
